Projects
Archive a project with explicit pending-work cancellation
POST
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= length- body
fingerprint*stringLength
1 <= lengthcancelPending?booleanconfirmName?stringacknowledgeUncertain?booleanreplacementWorkspaceId?stringResponse for status 200
application/json- response
kind*stringValue in
"project""workspace"id*stringname*stringstate*stringValue in
"active""archiving""archived""deleting""deleted"revision*numberisDefault*booleanfingerprint*stringcleanupPending*numberchangedAt*numberprojects*array<>counts*publications*pending*numberuncertain*numberactive*numbermembers*numbercurl -X POST 'https://postbot.example/api/projects/string/lifecycle/archive' \
-H 'Content-Type: application/json' \
-d '{
"fingerprint": "string"
}'Example Response
{
"kind": "project",
"id": "string",
"name": "string",
"state": "active",
"revision": 0,
"isDefault": true,
"fingerprint": "string",
"cleanupPending": 0,
"changedAt": 0,
"projects": [
{
"id": "string",
"name": "string",
"state": "active"
}
],
"counts": {},
"publications": {},
"pending": 0,
"uncertain": 0,
"active": 0,
"members": 0
}